QGIS Application - Bug report #6939
Inconsistent CRS handling when adding WMS
2013-01-03 09:22 AM - Jonathan Moules

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WMS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 16052
Description

I'm using 1.8.0 to connect to a GeoServer 2.2.2 - WMS 1.3.0.
I'm adding raster layers that have a declared and native projection in GeoServer of 27700 - British National Grid.

When | first bring up the "Add Layer(s) from Server" dialog for WMS and click a layer, the CRS is "WGS 84". Ok, that's also an acceptable
CRS because its declared in GetCapabilities.
So I change it to 27700,n add the layer, then close the dialog. It appears just fine.

But then | go back into the "add layers" dialog and connect to the server again.
This time when | click on any of the layers, they're showing a projection of 27700.

HOWEVER - If | select a layer (make it blue), then deselect the layer, then select a layer again, it's back to WGS 84!
Surely it should stay as 27700 given that's now the project projection and is a support projection by the layer?

Related issues:
Duplicates QGIS Application - Bug report # 6962: Use bbox or first crs when m... Closed 2013-01-08

Associated revisions

Revision a575711f - 2013-01-03 07:26 PM - Juirgen Fischer

use project projections instead of WGS84 for WMS crs preselection (fixes #6939)

History

#1 - 2013-01-03 09:52 AM - Jiirgen Fischer

Are all layers available in 277007 Once you select layers that don't have the current crs selection commonly available the CRS switches to the first
commonly available CRS of the selected layer or WGS84 if there isn't any.

#2 - 2013-01-03 09:59 AM - Jonathan Moules
- File geoserver-GetCapabilities.xml added

Yep. Absolutely every single layer is available in 27700. Its the native format for all of our data.
You can see the get capabilities yourself in the attached which confirms this.

#3 - 2013-01-03 10:27 AM - Jiirgen Fischer
- Status changed from Open to Closed
Fixed in changeset commit:"a575711f1988afb2bf058d25331eef48dd56508a".

#4 - 2013-01-03 10:29 AM - Jonathan Moules

Wow, that was fast! Thanks. :-D

Files
geoserver-GetCapabilities.xml 159 KB 2013-01-03 Jonathan Moules
